import { connect } from "umi";
import QuotationAllMaster from "@/mobile/quotation/master";
import * as commonUtils from "@/utils/utils";
function quotationDetail({ dispatch, app, content, location, sModelsId, }) {
  const quotationProps = {
    app,
    content,
    dispatch,
    location, // 只传递需要的部分
    sModelsId,
    quotationData:JSON.parse(location.state).quotationData
  };
  return <QuotationAllMaster {...quotationProps} />;
}

const mapStateToProps = ({ app, content }) => ({
  app,
  content,
});

export default connect(mapStateToProps)(quotationDetail);
